CREATE TABLE dos_action_request_attributes (
    ACTION_REQUEST_ATTRIBUTE_ID    NUMBER(18, 0) ,
    ACTION_REQUEST_ID              NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_NAME                 VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_DATA_TYPE            VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_NUM_VALUE            NUMBER(18, 0) ,
    ATTRIBUTE_STRING_VALUE         VARCHAR2(4000),
    ATTRIBUTE_DATE_VALUE           TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ACTION_REQUEST_ATTRIBUTE_ID    NUMBER(18, 0) ,
    ACTION_REQUEST_ID              NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_NAME                 VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_DATA_TYPE            VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_NUM_VALUE            NUMBER(18, 0) ,
    ATTRIBUTE_STRING_VALUE         VARCHAR2(4000),
    ATTRIBUTE_DATE_VALUE           TIMESTAMP(6)  ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_dos_action_request_attributes PRIMARY KEY (ACTION_REQUEST_ATTRIBUTE_ID, ACTION_REQUEST_ATTRIBUTE_ID)
);
